An account may have state specific to a contract address (ERC-20 token) and/or a stake (delegated balance). The sub_account_identifier should specify which state (if applicable) an account instantiation refers to.

export
interface

  RosettaSubAccount

### Hierarchy

- RosettaSubAccount

## Index

### Properties

- address
- metadata

## Properties

### address

address: string

- Defined in src/generated/models/RosettaSubAccount.ts:27

The address may be a cryptographic public key (or some encoding of it) or a provided username.

memberof

  RosettaSubAccount

### Optional metadata

metadata: object

- Defined in src/generated/models/RosettaSubAccount.ts:33

If the SubAccount address is not sufficient to uniquely specify a SubAccount, any other identifying information can be stored here. It is important to note that two SubAccounts with identical addresses but differing metadata will not be considered equal by clients.

memberof

  RosettaSubAccount

Generated using TypeDoc